
Vehicle.registerJointType("attachableFrontloader");

registerAttachableFrontloader = {};

function registerAttachableFrontloader.prerequisitesPresent(specializations)
    return true;
end;

function registerAttachableFrontloader:load(xmlFile)
end;
function registerAttachableFrontloader:delete()
end;
function registerAttachableFrontloader:mouseEvent(posX, posY, isDown, isUp, button)
end;
function registerAttachableFrontloader:keyEvent(unicode, sym, modifier, isDown)
end;
function registerAttachableFrontloader:update(dt)
end;
function registerAttachableFrontloader:draw()	
end;
